Loading...
Searching...
No Matches
OpenMesh::PropertyCreationManager Class Reference

Class for adding properties based on strings. More...

`#include <OpenMesh/Core/Utils/PropertyCreator.hh>`

## Public Member Functions

template<typename HandleT >
void | create_property (BaseKernel &_mesh, const std::string &_type_name, const std::string &_property_name)
void | register_property_creator (PropertyCreator *_property_creator)

## Static Public Member Functions

static PropertyCreationManager & | instance ()

## Detailed Description

Class for adding properties based on strings.

The PropertyCreationManager holds all PropertyCreators and dispatches the property creation to them if they are able to create a property for a given string.

If you want to be able to store your custom properties into a file and automatically load them without manually adding the property yourself you can register your type by calling the OM_REGISTER_PROPERTY_TYPE(ClassName, TypeString)

The documentation for this class was generated from the following files:

- OpenMesh/Core/Utils/PropertyCreator.hh
- OpenMesh/Core/Utils/PropertyCreator.cc